
#include <SoftwareSerial.h>

/*
  Blink

Hacking into an ATtiny85:
https://learn.sparkfun.com/tutorials/re-programming-the-lilytiny--lilytwinkle
http://highlowtech.org/?p=1695

Written for Dubai Mini Maker Faire hackathon (ATtiny85)
15-Mar Update - Re-mapped pins for week 9 Embedded Programming Assignment (ATtiny44)
18-Mar Update - Re-mapped pins for week 9 Embedded Programming Assignment (ATmega328P)
15-Apr Update - Rewritten for CopyCat board (tiny45)
Carl P-Conquilla
2018
*/


SoftwareSerial serial(0,1);
int emergency = 0;

int sA2 = 0;
int sA3 = 0;
  
unsigned long time;
// the setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin LED_BUILTIN as an output.
  serial.begin(9600);

}

// the loop function runs over and over again forever
void loop() {
  time = millis();
  serial.print("Ping:");
  serial.println(time);
  
  sA2 = analogRead(A2);
  sA3 = analogRead(A3);

//  5*(sA3/1024)/0.1/49.9;

  serial.print("A2:");
  serial.println(sA2);
  serial.print("A3:");
  serial.println(sA3);  

  delay(1000);        // delay in between reads for stability

}
