/*
  Blink

Hacking into an ATtiny85:
https://learn.sparkfun.com/tutorials/re-programming-the-lilytiny--lilytwinkle
http://highlowtech.org/?p=1695

Written for Dubai Mini Maker Faire hackathon (ATtiny85)
15-Mar Update - Re-mapped pins for week 9 Embedded Programming Assignment (ATtiny44)
18-Mar Update - Re-mapped pins for week 9 Embedded Programming Assignment (ATmega328P)
Carl P-Conquilla
2018
*/



int emergency = 0;
// the setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(5, OUTPUT);
  pinMode(1, OUTPUT);
  pinMode(3, INPUT);
  pinMode(4, OUTPUT);
  for(int f=5; f<255; f++) {
    analogWrite(5, f);
    delay(1);
  }
  delay(15000);
  for(int f=0; f<255; f++) {
    analogWrite(5, 255-f);
    delay(6);
  }
}

// the loop function runs over and over again forever
void loop() {
  if (digitalRead(3) == HIGH) {
    emergency = 8;
    digitalWrite(5, HIGH);
    delay(100);
    digitalWrite(5, LOW);
  }
//  if (digitalRead(2) == HIGH) {
//    digitalWrite(0,100);
//  } else {
//    digitalWrite(0, 0);
//  }
  if (emergency >= 1) {
    digitalWrite(5, 0);
    for (int j=0; j < 2; j++) {
      for (int i=0; i< 3; i++) {
        digitalWrite(5, HIGH);   // turn the LED on (HIGH is the voltage level)
        delay(30);                       // wait for a second
        digitalWrite(5, LOW);    // turn the LED off by making the voltage LOW
        delay(30);                       // wait for a second
      }
      delay(100);
      for (int i=0; i< 3; i++) {
        digitalWrite(5, HIGH);   // turn the LED on (HIGH is the voltage level)
        delay(30);                       // wait for a second
        digitalWrite(5, LOW);    // turn the LED off by making the voltage LOW
        delay(30);                       // wait for a second
      }
    }   
    emergency = emergency - 1;
  }
}
